/finance/purchase_order/{id}

Get a purchase order by id

Get a finance journal with the type 'purchase_order'

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
idintegerYespurchase order ID
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/purchase_order/123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
app.PurchaseOrderapplication/json
Example
{
  "address": {...},
  "address_id": 123,
  "audit_logs": [
    {...}
  ],
  "created_at": 123,
  "custom_fields": [
    {...}
  ],
  "date_delivery": 123,
  "date_document": 123,
  "date_inspection": 123,
  "delivery_address": "string",
  "document_type_label": "string",
  "expense_type": "string",
  "external_services": [
    {...}
  ],
  "foot_note": "string",
  "gross_total": 123.45,
  "head_note": "string",
  "hide_group_totals": true,
  "hide_groups": true,
  "hide_position_amount_and_unit": true,
  "hide_position_group_header": true,
  "hide_position_totals": true,
  "hide_position_value_per_unit": true,
  "hide_positions": true,
  "id": 123,
  "identification_code": "string",
  "job": {...},
  "job_id": 123,
  "lang": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "page_break_before_foot_note": true,
  "page_break_before_head_note": true,
  "person": {...},
  "person_id": 123,
  "positions": [
    {...}
  ],
  "purchase_invoices": [
    {...}
  ],
  "purchaser_address": "string",
  "recipient_addr1": "string",
  "recipient_addr2": "string",
  "recipient_address": "string",
  "recipient_city": "string",
  "recipient_country_code": "AF",
  "recipient_email": "string",
  "recipient_organisation_name": "string",
  "recipient_person_first_name": "string",
  "recipient_person_last_name": "string",
  "recipient_zip": "string",
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "DRAFT",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}